internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_value Struct Reference
Inheritance diagram for internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_value:
Collaboration diagram for internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_value:

## Public Member Functions

| range_value (const range_type &value)
| range_value (range_type &&value)
range_type | get_range (const kernel_input_tuple &) const __TBB_override
range_wrapper * | clone () const __TBB_override
Public Member Functions inherited from internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_wrapper
virtual | ~range_wrapper ()

## Private Attributes

range_type | my_value

## Detailed Description

### template<typename StreamFactory, typename KernelInputTuple>
struct internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_value

Definition at line 213 of file _flow_graph_streaming_node.h.

## Constructor & Destructor Documentation

## range_value() [1/2]

template<typename StreamFactory , typename KernelInputTuple >

internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_value::range_value | ( | const range_type & | value | ) |

inline

Definition at line 214 of file _flow_graph_streaming_node.h.

: my_value(value) {}
value
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d void ITT_FORMAT p void ITT_FORMAT p __itt_model_site __itt_model_site_instance ITT_FORMAT p __itt_model_task __itt_model_task_instance ITT_FORMAT p void ITT_FORMAT p void ITT_FORMAT p void size_t ITT_FORMAT d void ITT_FORMAT p const wchar_t ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s no args void ITT_FORMAT p size_t ITT_FORMAT d no args const wchar_t const wchar_t ITT_FORMAT s __itt_heap_function void size_t int ITT_FORMAT d __itt_heap_function void ITT_FORMAT p __itt_heap_function void void size_t int ITT_FORMAT d no args no args unsigned int ITT_FORMAT u const __itt_domain __itt_id ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain __itt_id ITT_FORMAT p const __itt_domain __itt_id __itt_timestamp __itt_timestamp ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain ITT_FORMAT p const __itt_domain __itt_string_handle unsigned long long value
Definition: ittnotify_static.h:192
internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_value::my_value
range_type my_value
Definition: _flow_graph_streaming_node.h:226

## range_value() [2/2]

template<typename StreamFactory , typename KernelInputTuple >

internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_value::range_value | ( | range_type && | value | ) |

inline

Definition at line 216 of file _flow_graph_streaming_node.h.

: my_value(std::move(value)) {}
tbb::move
void move(tbb_thread &t1, tbb_thread &t2)
Definition: tbb_thread.h:319

## Member Function Documentation

## clone()

template<typename StreamFactory , typename KernelInputTuple >

range_wrapper* internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_value::clone | ( |  | ) | const

inline virtual

Implements internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_wrapper.

Definition at line 222 of file _flow_graph_streaming_node.h.

{
return new range_value(my_value);
}
internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_value::range_value
range_value(const range_type &value)
Definition: _flow_graph_streaming_node.h:214

## get_range()

template<typename StreamFactory , typename KernelInputTuple >

range_type internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_value::get_range | ( | const kernel_input_tuple & |  | ) | const

inline virtual

Implements internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_wrapper.

Definition at line 218 of file _flow_graph_streaming_node.h.

{
return my_value;
}

## Member Data Documentation

## my_value

template<typename StreamFactory , typename KernelInputTuple >

range_type internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_value::my_value

private

Definition at line 226 of file _flow_graph_streaming_node.h.

The documentation for this struct was generated from the following file:

- _flow_graph_streaming_node.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.